## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.9.0
%bcond_without check

# https://github.com/cupcakearmy/autorestic
%global goipath         github.com/cupcakearmy/autorestic
Version:                1.8.3

%gometa -f

%global goname          autorestic

%global common_description %{expand:
Config driven, easy backup cli for restic.}

%global golicenses      LICENSE
%global godocs          CHANGELOG.md DEVELOPMENT.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Config driven, easy backup cli for restic

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

Requires:       restic

%description %{common_description}

%prep
%goprep
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/%{name} %{goipath}

%{gobuilddir}/bin/%{name} completion bash > %{name}.bash
%{gobuilddir}/bin/%{name} completion fish > %{name}.fish
%{gobuilddir}/bin/%{name} completion zsh  > %{name}.zsh

%install
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -Dpm 0644 %{name}.bash %{buildroot}%{bash_completions_dir}/%{name}
install -Dpm 0644 %{name}.fish %{buildroot}%{fish_completions_dir}/%{name}.fish
install -Dpm 0644 %{name}.zsh  %{buildroot}%{zsh_completions_dir}/_%{name}

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CHANGELOG.md DEVELOPMENT.md README.md
%{_bindir}/%{name}
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
## START: Generated by rpmautospec
* Mon Sep 02 2024 Packit <hello@packit.dev> - 1.8.3-1
- Update to 1.8.3 upstream release
- Resolves: rhbz#2309006

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 18 2024 Major Hayden <major@redhat.com> - 1.8.2-2
- Ensure restic is installed

* Fri Mar 29 2024 Packit <hello@packit.dev> - 1.8.2-1
- [packit] 1.8.2 upstream release
- Resolves: rhbz#2272131

* Thu Mar 21 2024 Major Hayden <major@redhat.com> - 1.8.1-1
- Update to 1.8.1 rhbz#2269326

* Sat Feb 10 2024 Packit <hello@packit.dev> - 1.7.11-1
- [packit] 1.7.11 upstream release
- Resolves rhbz#2263596

* Tue Jan 23 2024 Major Hayden <major@mhtx.net> - 1.7.10-4
- Update .packit.yaml

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 12 2024 Packit <hello@packit.dev> - 1.7.10-1
- [packit] 1.7.10 upstream release
- Resolves rhbz#2258116

* Mon Oct 02 2023 Major Hayden <major@redhat.com> - 1.7.9-1
- Update to 1.7.9

* Mon Oct 02 2023 Major Hayden <major@redhat.com> - 1.7.7-3
- Skip bodhi updates from packit

* Mon Jul 31 2023 Major Hayden <major@redhat.com> - 1.7.7-2
- Add packit config

* Mon Jul 31 2023 Major Hayden <major@redhat.com> - 1.7.7-1
- First package rhbz#2175893
## END: Generated by rpmautospec
